// Generator version : v3.1
// Generation time   : 2024.12.27 15:27:04
// DBC filename      : DMK-RP-77A.dbc
#pragma once

#ifdef __cplusplus
extern "C" {
#endif

// DBC file version
#define VER_CANMATRIX_MAJ_FMON (0U)
#define VER_CANMATRIX_MIN_FMON (0U)

#include "canmatrix-config.h"

#ifdef CANMATRIX_USE_DIAG_MONITORS

#include "canmonitorutil.h"
/*
This file contains the prototypes of all the functions that will be called
from each Unpack_*name* function to detect DBC related errors
It is the user responsibility to defined these functions in the
separated .c file. If it won't be done the linkage error will happen
*/

#ifdef CANMATRIX_USE_MONO_FMON

void _FMon_MONO_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);

#define FMon_BCM_HEAT_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_MFS_HOD_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))
#define FMon_MFS_KEY_canmatrix(x, y) _FMon_MONO_canmatrix((x), (y))

#else

void _FMon_BCM_HEAT_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_MFS_HOD_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);
void _FMon_MFS_KEY_canmatrix(FrameMonitor_t* _mon, uint32_t msgid);

#define FMon_BCM_HEAT_canmatrix(x, y) _FMon_BCM_HEAT_canmatrix((x), (y))
#define FMon_MFS_HOD_canmatrix(x, y) _FMon_MFS_HOD_canmatrix((x), (y))
#define FMon_MFS_KEY_canmatrix(x, y) _FMon_MFS_KEY_canmatrix((x), (y))

#endif

#endif // CANMATRIX_USE_DIAG_MONITORS

#ifdef __cplusplus
}
#endif
